com.collabnet.ce.soap60.webservices.monitoring

## Class MonitoringSubscriptionSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.monitoring.MonitoringSubscriptionSoapDO

-     public class MonitoringSubscriptionSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  The MonitoringSubscriptionSoapDO class represents the data associated with monitoring subscription.
  Since:
    16.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILTER_MODIFIED_AFTER` Filter name for modified after.
    `static String` | `FILTER_MODIFIED_BEFORE` Filter name for modified before.
    `static String` | `FILTER_OBJECT_ID_PREFIX` Filter name for object id prefix.
    `static String` | `FILTER_PROJECT_ID` Filter name for project.
    `static String` | `STATUS_ACTIVE` Possible value for the 'status' field, indicating that a subscription is active.
    `static String` | `STATUS_DELETED` Possible value for the 'status' field, indicating that a subscription is deleted.
    `static String` | `STATUS_HOLD` Possible value for the 'status' field, indicating that a subscription is temporarily disabled.
    `static String` | `STATUS_PENDING` Possible value for the 'status' field, indicating that a subscription is pending approval.
    `static String` | `STATUS_WAITING_CONFIRMATION` Possible value for the 'status' field, indicating that a subscription is waiting user confirmation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitoringSubscriptionSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEventOperation()` Returns 'eventOperation'.
    `String` | `getObjectId()` Returns 'objectId'.
    `String` | `getStatus()` Returns 'status'.
    `int` | `getSubscriptionType()` Returns 'subscriptionType'.
    `String` | `getUser()` Returns 'user'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setEventOperation(String eventOperation)` Sets 'eventOperation'.
    `void` | `setObjectId(String objectId)` Sets 'objectId'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setSubscriptionType(int subscriptionType)` Sets 'subscriptionType'.
    `void` | `setUser(String user)` Sets 'user'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ACTIVE

          public static final String STATUS_ACTIVE

      Possible value for the 'status' field, indicating that a subscription is active.
      See Also:
        Constant Field Values

    - #### STATUS_PENDING

          public static final String STATUS_PENDING

      Possible value for the 'status' field, indicating that a subscription is pending approval.
      See Also:
        Constant Field Values

    - #### STATUS_WAITING_CONFIRMATION

          public static final String STATUS_WAITING_CONFIRMATION

      Possible value for the 'status' field, indicating that a subscription is waiting user confirmation.
      See Also:
        Constant Field Values

    - #### STATUS_HOLD

          public static final String STATUS_HOLD

      Possible value for the 'status' field, indicating that a subscription is temporarily disabled.
      See Also:
        Constant Field Values

    - #### STATUS_DELETED

          public static final String STATUS_DELETED

      Possible value for the 'status' field, indicating that a subscription is deleted.
      See Also:
        Constant Field Values

    - #### FILTER_PROJECT_ID

          public static final String FILTER_PROJECT_ID

      Filter name for project.
      See Also:
        Constant Field Values

    - #### FILTER_OBJECT_ID_PREFIX

          public static final String FILTER_OBJECT_ID_PREFIX

      Filter name for object id prefix.
      See Also:
        Constant Field Values

    - #### FILTER_MODIFIED_BEFORE

          public static final String FILTER_MODIFIED_BEFORE

      Filter name for modified before.
      See Also:
        Constant Field Values

    - #### FILTER_MODIFIED_AFTER

          public static final String FILTER_MODIFIED_AFTER

      Filter name for modified after.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MonitoringSubscriptionSoapDO

          public MonitoringSubscriptionSoapDO()

  - ### Method Detail

    - #### getUser

          public String getUser()

      Returns 'user'. Subscribed user.
      Returns:
        Value of 'user'.

    - #### setUser

          public void setUser(String user)

      Sets 'user'. Subscribed user.
      Parameters:
        `user` - Value of 'user'.

    - #### getObjectId

          public String getObjectId()

      Returns 'objectId'. Id of the monitored object.
      Returns:
        Value of 'objectId'.

    - #### setObjectId

          public void setObjectId(String objectId)

      Sets 'objectId'. Id of the monitored object.
      Parameters:
        `objectId` - Value of 'objectId'.

    - #### getEventOperation

          public String getEventOperation()

      Returns 'eventOperation'. Subscribed operation.
      Returns:
        Value of 'eventOperation'.

    - #### setEventOperation

          public void setEventOperation(String eventOperation)

      Sets 'eventOperation'. Subscribed operation.
      Parameters:
        `eventOperation` - Value of 'eventOperation'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. Subscription status.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. Subscription status.
      Parameters:
        `status` - Value of 'status'.

    - #### getSubscriptionType

          public int getSubscriptionType()

      Returns 'subscriptionType'. Subscription type.
      Returns:
        Value of 'subscriptionType'.

    - #### setSubscriptionType

          public void setSubscriptionType(int subscriptionType)

      Sets 'subscriptionType'. Subscription type.
      Parameters:
        `subscriptionType` - Value of 'subscriptionType'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.